Bug 162261 - sysutils/k3b-kde4 - fails to compile with ffmpeg-devel installed.
Summary: sysutils/k3b-kde4 - fails to compile with ffmpeg-devel installed.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-03 00:50 UTC by oz
Modified: 2013-02-04 16:48 UTC (History)
0 users

See Also:


Attachments
patch-plugins__decoder__ffmpeg__k3bffmpegwrapper.cpp (2.89 KB, text/plain)
2011-11-03 00:50 UTC, oz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description oz 2011-11-03 00:50:09 UTC
	Compilation of k3b-kde4 fails to build when ffmpeg-devel is installed..

Fix: patch adapted from http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/app-cdr/k3b/files/k3b-2.0.2-ffmpeg.patch?revision=1.1
	Author: Michal Malek <michalm [at] jabster.pl>
How-To-Repeat: 	build with ffmpeg-devel installed.
Comment 1 Edwin Groothuis freebsd_committer 2011-11-03 00:50:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alberto Villa freebsd_committer 2012-09-02 15:44:51 UTC
State Changed
From-To: open->patched

There is no such a problem anymore as ffmpeg-devel can be installed 
along with ffmpeg (and CMake has no trivial way to detect it), so K3B 
depends on ffmpeg only. Nonetheless, we'll commit the patches to the 
ports tree to help anyone with custom ffmpeg installations. Setting the 
PR as "patched" as area51 was already updated.
Comment 3 dfilter service freebsd_committer 2013-02-04 15:36:44 UTC
Author: makc
Date: Mon Feb  4 15:36:28 2013
New Revision: 311629
URL: http://svnweb.freebsd.org/changeset/ports/311629

Log:
  More merges from area51 repository:
  
  - Chase kdemultimedia4 split/kdegames shlib bump
  - Convert to new options framework
  - Trip Makefile header
  
  sysutils/k3b-kde4:
  - add patches to fix build with ffmpeg-devel [1]
  
  PR:		ports/162261 [1]
  Submitted by:	Phil Oleson <oz at nixil.net>

Added:
  head/sysutils/k3b-kde4/files/patch-git2f845b34   (contents, props changed)
  head/sysutils/k3b-kde4/files/patch-git6f34e14b   (contents, props changed)
  head/sysutils/k3b-kde4/files/patch-git79cd49ca   (contents, props changed)
  head/sysutils/k3b-kde4/files/patch-git8d33a486   (contents, props changed)
Modified:
  head/audio/audex/Makefile   (contents, props changed)
  head/audio/kaudiocreator/Makefile   (contents, props changed)
  head/audio/soundkonverter/Makefile   (contents, props changed)
  head/games/kmancala/Makefile   (contents, props changed)
  head/games/knights-kde4/Makefile   (contents, props changed)
  head/misc/tellico-kde4/Makefile   (contents, props changed)
  head/sysutils/k3b-kde4/Makefile   (contents, props changed)

Modified: head/audio/audex/Makefile
==============================================================================
--- head/audio/audex/Makefile	Mon Feb  4 15:28:16 2013	(r311628)
+++ head/audio/audex/Makefile	Mon Feb  4 15:36:28 2013	(r311629)
@@ -2,37 +2,42 @@
 
 PORTNAME=	audex
 DISTVERSION=	0.74b1
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	audio kde
 MASTER_SITES=	http://kde.maniatek.com/${PORTNAME}/files/
 
 MAINTAINER=	jhale@FreeBSD.org
 COMMENT=	Audio CD ripping utility for KDE4
 
-LIB_DEPENDS=	cdda_paranoia.0:${PORTSDIR}/audio/cdparanoia \
-		kcddb.5:${PORTSDIR}/multimedia/kdemultimedia4
+LICENSE=	GPLv3
+
+LIB_DEPENDS=	cdda_paranoia:${PORTSDIR}/audio/cdparanoia
 
 USE_XZ=		yes
 USE_CMAKE=	yes
-USE_KDE4=	automoc4 kdeprefix kdelibs
+USE_KDE4=	automoc4 kdeprefix kdelibs libkcddb
 USE_QT4=	gui dbus network svg xml \
 		qmake_build moc_build rcc_build uic_build
 MAKE_JOBS_SAFE=	yes
 
-LICENSE=	GPLv3
+OPTIONS_DEFINE=		NLS EYED3 FAAC FLAC LAME VORBIS
+OPTIONS_DEFAULT=	FLAC VORBIS
+NO_OPTIONS_SORT=	yes
 
-OPTIONS_DEFINE= FAAC FLAC LAME EYED3 OGG
-OPTIONS_DEFAULT=	FLAC OGG
-EYED3_DESC=	 Unicode mp3 tags support
+EYED3_DESC=		Unicode MP3 tag support via audio/py-eyed3
 
 .include <bsd.port.options.mk>
 
-.if !${PORT_OPTIONS:MNLS}
-CMAKE_ARGS+=	-DDISABLE_ALL_OPTIONAL_SUBDIRECTORIES=TRUE
-PLIST_SUB+=	NLS="@comment "
-.else
+.if ${PORT_OPTIONS:MNLS}
 USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
+.else
+CMAKE_ARGS+=	-DDISABLE_ALL_OPTIONAL_SUBDIRECTORIES=TRUE
+PLIST_SUB+=	NLS="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MEYED3}
+RUN_DEPENDS+=	eyeD3:${PORTSDIR}/audio/py-eyed3
 .endif
 
 .if ${PORT_OPTIONS:MFAAC}
@@ -47,11 +52,7 @@ RUN_DEPENDS+=	flac:${PORTSDIR}/audio/fla
 RUN_DEPENDS+=	lame:${PORTSDIR}/audio/lame
 .endif
 
-.if ${PORT_OPTIONS:MEYED3}
-RUN_DEPENDS+=	eyeD3:${PORTSDIR}/audio/py-eyed3
-.endif
-
-.if ${PORT_OPTIONS:MOGG}
+.if ${PORT_OPTIONS:MVORBIS}
 RUN_DEPENDS+=	oggenc:${PORTSDIR}/audio/vorbis-tools
 .endif
 

Modified: head/audio/kaudiocreator/Makefile
==============================================================================
--- head/audio/kaudiocreator/Makefile	Mon Feb  4 15:28:16 2013	(r311628)
+++ head/audio/kaudiocreator/Makefile	Mon Feb  4 15:36:28 2013	(r311629)
@@ -3,17 +3,16 @@
 
 PORTNAME=	kaudiocreator
 PORTVERSION=	1.2.90
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	audio kde
 MASTER_SITES=	http://kde-look.org/CONTENT/content-files/
 DISTNAME=	107645-${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	dbn@FreeBSD.org
-COMMENT=	An audio-cd ripper and encoder for KDE4
+COMMENT=	Audio-cd ripper and encoder for KDE4
 
 LIB_DEPENDS=	discid:${PORTSDIR}/audio/libdiscid \
-		tag:${PORTSDIR}/audio/taglib \
-		kcddb:${PORTSDIR}/multimedia/kdemultimedia4
+		tag:${PORTSDIR}/audio/taglib
 RUN_DEPENDS=	flac:${PORTSDIR}/audio/flac \
 		oggenc:${PORTSDIR}/audio/vorbis-tools
 .if !defined(PACKAGE_BUILDING)
@@ -23,7 +22,7 @@ RUN_DEPENDS+=	lame:${PORTSDIR}/audio/lam
 USE_BZIP2=	yes
 USE_CMAKE=	yes
 USE_QT4=	moc_build qmake_build rcc_build uic_build
-USE_KDE4=	automoc4 kdehier kdeprefix
+USE_KDE4=	automoc4 kdehier kdeprefix libkcddb
 
 LICENSE=	GPLv2
 MAKE_JOBS_SAFE=	yes

Modified: head/audio/soundkonverter/Makefile
==============================================================================
--- head/audio/soundkonverter/Makefile	Mon Feb  4 15:28:16 2013	(r311628)
+++ head/audio/soundkonverter/Makefile	Mon Feb  4 15:36:28 2013	(r311629)
@@ -3,7 +3,7 @@
 
 PORTNAME=	soundkonverter
 DISTVERSION=	0.9.94rc2
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	audio kde
 MASTER_SITES=	https://api.opensuse.org/public/source/home:HessiJames/soundkonverter/
 
@@ -11,12 +11,11 @@ MAINTAINER=	dbn@FreeBSD.org
 COMMENT=	Frontend to various audio converters (transcoder)
 
 LIB_DEPENDS=	tag:${PORTSDIR}/audio/taglib \
-		cdda_paranoia:${PORTSDIR}/audio/cdparanoia \
-		kcddb:${PORTSDIR}/multimedia/kdemultimedia4
+		cdda_paranoia:${PORTSDIR}/audio/cdparanoia
 
 USE_CMAKE=	yes
 USE_QT4=	moc_build qmake_build rcc_build uic_build
-USE_KDE4=	automoc4 kdehier kdeprefix kdelibs
+USE_KDE4=	automoc4 kdehier kdeprefix kdelibs libkcddb
 INSTALLS_ICONS=	yes
 
 MAKE_JOBS_SAFE=	yes

Modified: head/games/kmancala/Makefile
==============================================================================
--- head/games/kmancala/Makefile	Mon Feb  4 15:28:16 2013	(r311628)
+++ head/games/kmancala/Makefile	Mon Feb  4 15:36:28 2013	(r311629)
@@ -1,22 +1,17 @@
-# New ports collection makefile for:	kmancala
-# Date created:		2011-05-26
-# Whom:			Max Brazhnikov <makc@FreeBSD.org>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	kmancala
 PORTVERSION=	1.0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	games kde
 MASTER_SITES=	http://horinek.net/~dal/ \
 		LOCAL/makc
 DISTNAME=	kMancala-${PORTVERSION}
 
 MAINTAINER=	makc@FreeBSD.org
-COMMENT=	A board game for KDE, also known as Mancala or Kalah
+COMMENT=	Board game for KDE, also known as Mancala or Kalah
 
-LIB_DEPENDS=	kdegames.5:${PORTSDIR}/games/kdegames4
+LIB_DEPENDS=	kdegames:${PORTSDIR}/games/kdegames4
 
 USE_BZIP2=	yes
 USE_CMAKE=	yes

Modified: head/games/knights-kde4/Makefile
==============================================================================
--- head/games/knights-kde4/Makefile	Mon Feb  4 15:28:16 2013	(r311628)
+++ head/games/knights-kde4/Makefile	Mon Feb  4 15:36:28 2013	(r311629)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	knight
-# Date created:		24 Jun 2002
-# Whom:			Stefan Jahn <stefan.jahn@nemesis-sektor.de>
-#
+# Created by: Stefan Jahn <stefan.jahn@nemesis-sektor.de>
 # $FreeBSD$
-#
 
 PORTNAME=	knights
 PORTVERSION=	2.3.1
@@ -12,11 +8,13 @@ CATEGORIES=	games kde
 MASTER_SITES=	http://dl.dropbox.com/u/2888238/Knights/
 
 MAINTAINER=	syncer@gmail.com
-COMMENT=	A KDE4 chess interface
+COMMENT=	KDE4 chess interface
 
-LIB_DEPENDS=	kdegames.5:${PORTSDIR}/games/kdegames4
+LIB_DEPENDS=	kdegames:${PORTSDIR}/games/kdegames4
 RUN_DEPENDS=	${LOCALBASE}/bin/gnuchess:${PORTSDIR}/games/gnuchess
 
+BROKEN=		does not build with kdegames4>=4.9.0
+
 LATEST_LINK=	${PORTNAME}-kde4
 USE_BZIP2=	yes
 USE_CMAKE=	yes

Modified: head/misc/tellico-kde4/Makefile
==============================================================================
--- head/misc/tellico-kde4/Makefile	Mon Feb  4 15:28:16 2013	(r311628)
+++ head/misc/tellico-kde4/Makefile	Mon Feb  4 15:36:28 2013	(r311629)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tellico
 PORTVERSION=	2.3.7
+PORTREVISION=	1
 CATEGORIES=	misc kde
 MASTER_SITES=	http://tellico-project.org/files/
 
@@ -15,14 +16,13 @@ LIB_DEPENDS=	tag:${PORTSDIR}/audio/tagli
 		poppler-qt4:${PORTSDIR}/graphics/poppler-qt4 \
 		yaz:${PORTSDIR}/net/yaz \
 		exempi:${PORTSDIR}/textproc/exempi \
-		kcddb:${PORTSDIR}/multimedia/kdemultimedia4 \
 		qjson:${PORTSDIR}/devel/qjson
 
 LATEST_LINK=	${PORTNAME}-kde4
 
 USE_BZIP2=	yes
 USE_KDE4=	kdehier kdelibs kdeprefix libksane pimlibs \
-		automoc4 qimageblitz
+		automoc4 qimageblitz libkcddb
 USE_QT4=	qmake_build moc_build uic_build rcc_build
 USE_CMAKE=	yes
 USE_GETTEXT=	yes

Modified: head/sysutils/k3b-kde4/Makefile
==============================================================================
--- head/sysutils/k3b-kde4/Makefile	Mon Feb  4 15:28:16 2013	(r311628)
+++ head/sysutils/k3b-kde4/Makefile	Mon Feb  4 15:36:28 2013	(r311629)
@@ -1,22 +1,17 @@
-# New ports collection makefile for:    k3b
-# Date created:                         2003/02/13
-# Whom:                                 Heiner <h.eichmann@gmx.de>
-#
+# Created by: Heiner <h.eichmann@gmx.de>
 # $FreeBSD$
-#
 
 PORTNAME=	k3b
 PORTVERSION=	2.0.2
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	sysutils multimedia kde
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	kde@FreeBSD.org
-COMMENT=	A CD/DVD recording GUI for KDE4
+COMMENT=	KDE CD/DVD writing suite
 
 LIB_DEPENDS=	cdda_paranoia:${PORTSDIR}/audio/cdparanoia \
-		samplerate:${PORTSDIR}/audio/libsamplerate \
-		kcddb:${PORTSDIR}/multimedia/kdemultimedia4
+		samplerate:${PORTSDIR}/audio/libsamplerate
 
 LATEST_LINK=	${PORTNAME}-kde4
 
@@ -24,50 +19,56 @@ USE_BZIP2=	yes
 USE_CMAKE=	yes
 CMAKE_ARGS=	-DK3B_BUILD_K3BSETUP:BOOL=OFF \
 		-DK3B_ENABLE_MUSICBRAINZ:BOOL=OFF
-USE_KDE4=	automoc4 kdeprefix kdelibs
+USE_KDE4=	automoc4 kdeprefix kdelibs libkcddb
 USE_CDRTOOLS=	yes
 USE_QT4=	gui dbus network phonon qt3support sql svg webkit xml \
 		qmake_build moc_build rcc_build uic_build
 USE_LDCONFIG=	yes
 MAKE_JOBS_SAFE=	yes
 
-OPTIONS=	CDRDAO "Burning: Use cdrdao" ON \
-		DVDPLUSRW "Burning: DVD+RW Tools (DVD+/-R(W))" ON \
-		EMOVIX "Burning: eMovix (bootable video CDs)" OFF \
-		VCDIMAGER "Burning: VCDImager (video CDs)" OFF \
-		FFMPEG "Decoder: various (multimedia/ffmpeg)" ON \
-		FLAC "Decoder: flac (audio/flac)" ON \
-		MAD "Decoder: mp3 (audio/libmad)" ON \
-		MUSEPACK "Decoder: musepack (audio/musepack)" ON \
-		SNDFILE "Decoder: various (audio/libsndfile)" ON \
-		VORBIS_DEC "Decoder: ogg/vorbis" ON \
-		LAME "Encoder: mp3 (audio/lame)" OFF \
-		SOX "Encoder: various (audio/sox)" OFF \
-		VORBIS_ENC "Encoder: ogg/vorbis" ON \
-		LIBDVDREAD "Misc: libdvdread (video dvd ripping)" ON \
-		NORMALIZE "Misc: Normalize (adjust audio to a std. level)" OFF \
-		TAGLIB "Misc: taglib (reading/writing audio metadata)" ON \
-		TRANSCODE "Misc: Transcode (for DVD ripping)" OFF
+OPTIONS_DEFINE=	CDRDAO DVDPLUSRW EMOVIX VCDIMAGER FFMPEG FLAC MAD \
+		MUSEPACK SNDFILE VORBIS_DEC LAME SOX VORBIS_ENC \
+		LIBDVDREAD NORMALIZE TAGLIB TRANSCODE
+OPTIONS_DEFAULT=CDRDAO DVDPLUSRW FFMPEG FLAC MAD MUSEPACK SNDFILE \
+		VORBIS_DEC VORBIS_ENC LIBDVDREAD TAGLIB
+NO_OPTIONS_SORT=yes
+CDRDAO_DESC=	Burning: cdrdao
+DVDPLUSRW_DESC=	Burning: DVD+RW Tools (DVD+/-R(W))
+EMOVIX_DESC=	Burning: eMovix (bootable video CDs)
+VCDIMAGER_DESC=	Burning: VCDImager (video CDs)
+FFMPEG_DESC=	Decoder: various (multimedia/ffmpeg)
+FLAC_DESC=	Decoder: FLAC (audio/flac)
+MAD_DESC=	Decoder: MP3 (audio/libmad)
+MUSEPACK_DESC=	Decoder: Musepack (audio/musepack)
+SNDFILE_DESC=	Decoder: various (audio/libsndfile)
+VORBIS_DEC_DESC=Decoder: Ogg Vorbis
+LAME_DESC=	Encoder: MP3 (audio/lame)
+SOX_DESC=	Encoder: various (audio/sox)
+VORBIS_ENC_DESC=Encoder: Ogg Vorbis
+LIBDVDREAD_DESC=Misc: libdvdread (video DVD ripping)
+NORMALIZE_DESC=	Misc: normalize (adjust audio to a std. level)
+TAGLIB_DESC=	Misc: TagLib (reading/writing audio metadata)
+TRANSCODE_DESC=	Misc: Transcode (DVD ripping)
 
 .include <bsd.port.options.mk>
 
-.if defined(WITH_CDRDAO)
+.if ${PORT_OPTIONS:MCDRDAO}
 RUN_DEPENDS+=	cdrdao:${PORTSDIR}/sysutils/cdrdao
 .endif
 
-.if defined(WITH_DVDPLUSRW)
+.if ${PORT_OPTIONS:MDVDPLUSRW}
 RUN_DEPENDS+=	dvd+rw-format:${PORTSDIR}/sysutils/dvd+rw-tools
 .endif
 
-.if defined(WITH_EMOVIX)
+.if ${PORT_OPTIONS:MEMOVIX}
 RUN_DEPENDS+=	mkmovixiso:${PORTSDIR}/multimedia/emovix
 .endif
 
-.if defined(WITH_VCDIMAGER)
+.if ${PORT_OPTIONS:MVCDIMAGER}
 RUN_DEPENDS+=	vcdxrip:${PORTSDIR}/multimedia/vcdimager
 .endif
 
-.if defined(WITH_FFMPEG)
+.if ${PORT_OPTIONS:MFFMPEG}
 LIB_DEPENDS+=	avcodec:${PORTSDIR}/multimedia/ffmpeg
 PLIST_SUB+=	FFMPEG=""
 .else
@@ -75,7 +76,7 @@ CMAKE_ARGS+=	-DK3B_BUILD_FFMPEG_DECODER_
 PLIST_SUB+=	FFMPEG="@comment "
 .endif
 
-.if defined(WITH_FLAC)
+.if ${PORT_OPTIONS:MFLAC}
 LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac
 PLIST_SUB+=	FLAC=""
 .else
@@ -83,7 +84,7 @@ CMAKE_ARGS+=	-DK3B_BUILD_FLAC_DECODER_PL
 PLIST_SUB+=	FLAC="@comment "
 .endif
 
-.if defined(WITH_MAD)
+.if ${PORT_OPTIONS:MMAD}
 LIB_DEPENDS+=	mad:${PORTSDIR}/audio/libmad
 PLIST_SUB+=	MAD=""
 .else
@@ -91,7 +92,7 @@ CMAKE_ARGS+=	-DK3B_BUILD_MAD_DECODER_PLU
 PLIST_SUB+=	MAD="@comment "
 .endif
 
-.if defined(WITH_MUSEPACK)
+.if ${PORT_OPTIONS:MMUSEPACK}
 CMAKE_ARGS+=	-DCMAKE_REQUIRED_INCLUDES:STRING="${LOCALBASE}/include"
 LIB_DEPENDS+=	mpcdec:${PORTSDIR}/audio/musepack
 PLIST_SUB+=	MUSEPACK=""
@@ -100,7 +101,7 @@ CMAKE_ARGS+=	-DK3B_BUILD_MUSE_DECODER_PL
 PLIST_SUB+=	MUSEPACK="@comment "
 .endif
 
-.if defined(WITH_SNDFILE)
+.if ${PORT_OPTIONS:MSNDFILE}
 LIB_DEPENDS+=	sndfile:${PORTSDIR}/audio/libsndfile
 PLIST_SUB+=	SNDFILE=""
 .else
@@ -108,7 +109,7 @@ CMAKE_ARGS+=	-DK3B_BUILD_SNDFILE_DECODER
 PLIST_SUB+=	SNDFILE="@comment "
 .endif
 
-.if defined(WITH_VORBIS_DEC)
+.if ${PORT_OPTIONS:MVORBIS_DEC}
 LIB_DEPENDS+=	ogg:${PORTSDIR}/audio/libogg
 PLIST_SUB+=	VORBIS_DEC=""
 .else
@@ -116,7 +117,7 @@ CMAKE_ARGS+=	-DK3B_BUILD_OGGVORBIS_DECOD
 PLIST_SUB+=	VORBIS_DEC="@comment "
 .endif
 
-.if defined(WITH_LAME)
+.if ${PORT_OPTIONS:MLAME}
 LIB_DEPENDS+=	mp3lame:${PORTSDIR}/audio/lame
 PLIST_SUB+=	LAME=""
 .else
@@ -124,7 +125,7 @@ CMAKE_ARGS+=	-DK3B_BUILD_LAME_ENCODER_PL
 PLIST_SUB+=	LAME="@comment "
 .endif
 
-.if defined(WITH_SOX)
+.if ${PORT_OPTIONS:MSOX}
 RUN_DEPENDS+=	sox:${PORTSDIR}/audio/sox
 PLIST_SUB+=	SOX=""
 .else
@@ -132,7 +133,7 @@ CMAKE_ARGS+=	-DK3B_BUILD_SOX_ENCODER_PLU
 PLIST_SUB+=	SOX="@comment "
 .endif
 
-.if defined(WITH_VORBIS_ENC)
+.if ${PORT_OPTIONS:MVORBIS_ENC}
 LIB_DEPENDS+=	ogg:${PORTSDIR}/audio/libogg
 PLIST_SUB+=	VORBIS_ENC=""
 .else
@@ -140,19 +141,19 @@ CMAKE_ARGS+=	-DK3B_BUILD_OGGVORBIS_ENCOD
 PLIST_SUB+=	VORBIS_ENC="@comment "
 .endif
 
-.if defined(WITH_LIBDVDREAD)
-LIB_DEPENDS+=	dvdread.4:${PORTSDIR}/multimedia/libdvdread
+.if ${PORT_OPTIONS:MLIBDVDREAD}
+LIB_DEPENDS+=	dvdread:${PORTSDIR}/multimedia/libdvdread
 PLIST_SUB+=	LIBDVDREAD=""
 .else
 CMAKE_ARGS+=	-DK3B_ENABLE_DVD_RIPPING:BOOL=OFF
 PLIST_SUB+=	LIBDVDREAD="@comment "
 .endif
 
-.if defined(WITH_NORMALIZE)
+.if ${PORT_OPTIONS:MNORMALIZE}
 RUN_DEPENDS+=	normalize:${PORTSDIR}/audio/normalize
 .endif
 
-.if defined(WITH_TAGLIB)
+.if ${PORT_OPTIONS:MTAGLIB}
 LIB_DEPENDS+=	tag:${PORTSDIR}/audio/taglib
 PLIST_SUB+=	TAGLIB=""
 .else
@@ -160,7 +161,7 @@ CMAKE_ARGS+=	-DK3B_ENABLE_TAGLIB:BOOL=OF
 PLIST_SUB+=	TAGLIB="@comment "
 .endif
 
-.if defined(WITH_TRANSCODE)
+.if ${PORT_OPTIONS:MTRANSCODE}
 RUN_DEPENDS+=	transcode:${PORTSDIR}/multimedia/transcode
 .endif
 

Added: head/sysutils/k3b-kde4/files/patch-git2f845b34
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/k3b-kde4/files/patch-git2f845b34	Mon Feb  4 15:36:28 2013	(r311629)
@@ -0,0 +1,96 @@
+commit 2f845b34badb614882b7e38ac38b00041ac2832d
+Author: Michal Malek <michalm@jabster.pl>
+Date:   Sun Aug 28 20:18:53 2011 +0200
+
+    Fixed compilation with new FFMPEG
+    
+    BUG: 274817
+    FIXED-IN: 2.0.3
+
+diff --git a/plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp b/plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp
+index 0ad59fc..0c5f366 100644
+--- ./plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp
++++ ./plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp
+@@ -109,7 +109,13 @@ bool K3bFFMpegFile::open()
+ #else
+     ::AVCodecContext* codecContext =  d->formatContext->streams[0]->codec;
+ #endif
+-    if( codecContext->codec_type != CODEC_TYPE_AUDIO ) {
++    if( codecContext->codec_type != 
++#if LIBAVCODEC_VERSION_INT >= AV_VERSION_INT(52, 64, 0)
++        AVMEDIA_TYPE_AUDIO)
++#else
++        CODEC_TYPE_AUDIO)
++#endif
++    {
+         kDebug() << "(K3bFFMpegFile) not a simple audio stream: " << m_filename;
+         return false;
+     }
+@@ -225,8 +231,11 @@ QString K3bFFMpegFile::typeComment() const
+ QString K3bFFMpegFile::title() const
+ {
+     // FIXME: is this UTF8 or something??
+-    if( d->formatContext->title[0] != '\0' )
+-        return QString::fromLocal8Bit( d->formatContext->title );
++    AVDictionaryEntry *ade = av_dict_get( d->formatContext->metadata, "TITLE", NULL, 0 );
++    if( ade == NULL )
++        return QString();
++    if( ade->value != '\0' )
++        return QString::fromLocal8Bit( ade->value );
+     else
+         return QString();
+ }
+@@ -235,8 +244,11 @@ QString K3bFFMpegFile::title() const
+ QString K3bFFMpegFile::author() const
+ {
+     // FIXME: is this UTF8 or something??
+-    if( d->formatContext->author[0] != '\0' )
+-        return QString::fromLocal8Bit( d->formatContext->author );
++    AVDictionaryEntry *ade = av_dict_get( d->formatContext->metadata, "ARTIST", NULL, 0 );
++    if( ade == NULL )
++        return QString();
++    if( ade->value != '\0' )
++        return QString::fromLocal8Bit( ade->value );
+     else
+         return QString();
+ }
+@@ -245,8 +257,11 @@ QString K3bFFMpegFile::author() const
+ QString K3bFFMpegFile::comment() const
+ {
+     // FIXME: is this UTF8 or something??
+-    if( d->formatContext->comment[0] != '\0' )
+-        return QString::fromLocal8Bit( d->formatContext->comment );
++    AVDictionaryEntry *ade = av_dict_get( d->formatContext->metadata, "COMMENT", NULL, 0 );
++    if( ade == NULL )
++        return QString();
++    if( ade->value != '\0' )
++        return QString::fromLocal8Bit( ade->value );
+     else
+         return QString();
+ }
+@@ -309,8 +324,13 @@ int K3bFFMpegFile::fillOutputBuffer()
+ #if LIBAVCODEC_VERSION_MAJOR < 52
+         int len = ::avcodec_decode_audio(
+ #else
++   #if LIBAVCODEC_VERSION_INT >= AV_VERSION_INT(52, 64, 0)
++        int len = ::avcodec_decode_audio3(
++   #else
+         int len = ::avcodec_decode_audio2(
++   #endif
+ #endif
++
+ #ifdef FFMPEG_BUILD_PRE_4629
+             &d->formatContext->streams[0]->codec,
+ #else
+@@ -318,7 +338,11 @@ int K3bFFMpegFile::fillOutputBuffer()
+ #endif
+             (short*)d->alignedOutputBuffer,
+             &d->outputBufferSize,
++#if LIBAVCODEC_VERSION_INT >= AV_VERSION_INT(52, 64, 0)
++            &d->packet );
++#else
+             d->packetData, d->packetSize );
++#endif
+ 
+         if( d->packetSize <= 0 || len < 0 )
+             ::av_free_packet( &d->packet );

Added: head/sysutils/k3b-kde4/files/patch-git6f34e14b
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/k3b-kde4/files/patch-git6f34e14b	Mon Feb  4 15:36:28 2013	(r311629)
@@ -0,0 +1,42 @@
+commit 6f34e14b28d2f9103151c6ba08b3bb40448ffe46
+Author: Alex Merry <kde@randomguy3.me.uk>
+Date:   Thu Aug 23 23:45:34 2012 +0100
+
+    Fix K3B to build with recent FFMPEG versions
+    
+    FFMPEG 0.11 (shipped on ArchLinux, for example) has renamed some
+    functions.
+    
+    The exact versions in the #ifdefs are taken from the Mobile Robot
+    Programming Toolkit.
+    
+    BUG: 300731
+
+diff --git a/plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp b/plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp
+index 0c5f366..024c18c 100644
+--- ./plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp
++++ ./plugins/decoder/ffmpeg/k3bffmpegwrapper.cpp
+@@ -88,7 +88,11 @@ bool K3bFFMpegFile::open()
+     close();
+ 
+     // open the file
++#if LIBAVCODEC_VERSION_INT >= AV_VERSION_INT(53,2,0)
++    int err = ::avformat_open_input( &d->formatContext, m_filename.toLocal8Bit(), 0, 0 );
++#else
+     int err = ::av_open_input_file( &d->formatContext, m_filename.toLocal8Bit(), 0, 0, 0 );
++#endif
+     if( err < 0 ) {
+         kDebug() << "(K3bFFMpegFile) unable to open " << m_filename << " with error " << err;
+         return false;
+@@ -143,7 +147,11 @@ bool K3bFFMpegFile::open()
+     }
+ 
+     // dump some debugging info
++#if LIBAVCODEC_VERSION_INT >= AV_VERSION_INT(53,2,0)
++    ::av_dump_format( d->formatContext, 0, m_filename.toLocal8Bit(), 0 );
++#else
+     ::dump_format( d->formatContext, 0, m_filename.toLocal8Bit(), 0 );
++#endif
+ 
+     return true;
+ }

Added: head/sysutils/k3b-kde4/files/patch-git79cd49ca
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/k3b-kde4/files/patch-git79cd49ca	Mon Feb  4 15:36:28 2013	(r311629)
@@ -0,0 +1,25 @@
+commit 79cd49cac3a6b7031556aae53ce3ecff8c360cb9
+Author: Pino Toscano <pino@kde.org>
+Date:   Sun Jul 8 22:20:15 2012 +0200
+
+    fix sox detection with sox >= 14.4.0
+    
+    sox 1.14.0 changed the string that is printed out on --version, breaking the simply string matching done;
+    add a new case to cover also this new version
+    
+    BUG: 301544
+
+diff --git a/plugins/encoder/sox/k3bsoxencoder.cpp b/plugins/encoder/sox/k3bsoxencoder.cpp
+index 3559d5d..af5b013 100644
+--- ./plugins/encoder/sox/k3bsoxencoder.cpp
++++ ./plugins/encoder/sox/k3bsoxencoder.cpp
+@@ -69,6 +69,9 @@ public:
+             if ( pos >= 0 ) {
+                 pos += 17;
+             }
++            else if ( ( pos = out.indexOf( "sox:      SoX v" ) ) >= 0 ) {
++                pos += 15;
++            }
+             else if ( ( pos = out.indexOf( "sox: SoX v" ) ) >= 0 ) {
+                 pos += 10;
+             }

Added: head/sysutils/k3b-kde4/files/patch-git8d33a486
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/k3b-kde4/files/patch-git8d33a486	Mon Feb  4 15:36:28 2013	(r311629)
@@ -0,0 +1,20 @@
+commit 8d33a486082cd9eaa857d6042b1b8870e4bf532b
+Author: Rex Dieter <rdieter@fedoraproject.org>
+Date:   Sat Feb 11 08:34:04 2012 -0600
+
+    fix for newer (kde-4.7+) FindFFMPEG.cmake
+    which sets ${FFMPEG_INCLUDE_DIRS} instead of ${FFMPEG_INCLUDE_DIR}
+
+diff --git a/plugins/decoder/ffmpeg/CMakeLists.txt b/plugins/decoder/ffmpeg/CMakeLists.txt
+index d7e25eb..d420a3c 100644
+--- ./plugins/decoder/ffmpeg/CMakeLists.txt
++++ ./plugins/decoder/ffmpeg/CMakeLists.txt
+@@ -9,7 +9,7 @@ if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
+ else(FFMPEG_INCLUDE_DIR_OLD_STYLE)
+     message(STATUS "found new ffmpegcodecpath")
+     add_definitions(-DNEWFFMPEGAVCODECPATH)
+-    include_directories (${FFMPEG_INCLUDE_DIR})
++    include_directories (${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
+ endif(FFMPEG_INCLUDE_DIR_OLD_STYLE)
+ 
+ set(k3bffmpegdecoder_PART_SRCS k3bffmpegdecoder.cpp k3bffmpegwrapper.cpp )
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2013-02-04 16:48:08 UTC
State Changed
From-To: patched->closed

Committed. Thanks!